UncategorizedJmsException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.jms

## Class UncategorizedJmsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.jms.JmsException
          - - org.springframework.jms.UncategorizedJmsException

- All Implemented Interfaces:
    Serializable

      public class UncategorizedJmsException
      extends JmsException

  JmsException to be thrown when no other matching subclass found.
  Since:
    1.1
  Author:
    Juergen Hoeller
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UncategorizedJmsException(String msg)` Constructor that takes a message.
    `UncategorizedJmsException(String msg, Throwable cause)` Constructor that takes a message and a root cause.
    `UncategorizedJmsException(Throwable cause)` Constructor that takes a root cause only.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.jms.JmsException

      `getErrorCode, getMessage`

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UncategorizedJmsException

          public UncategorizedJmsException(String msg)

      Constructor that takes a message.
      Parameters:
        `msg` - the detail message

    - #### UncategorizedJmsException

          public UncategorizedJmsException(String msg,
                                   Throwable cause)

      Constructor that takes a message and a root cause.
      Parameters:
        `msg` - the detail message
        `cause` - the cause of the exception. This argument is generally expected to be a proper subclass of `JMSException`, but can also be a JNDI NamingException or the like.

    - #### UncategorizedJmsException

          public UncategorizedJmsException(Throwable cause)

      Constructor that takes a root cause only.
      Parameters:
        `cause` - the cause of the exception. This argument is generally expected to be a proper subclass of `JMSException`, but can also be a JNDI NamingException or the like.